    //
//  SecondViewController.m
//  PDFView
//
//  Created by skylin zhu on 11-4-16.
//  Copyright 2011 mysoft. All rights reserved.
//

#import "SecondViewController.h"
#import "JSON.h"
#import "Leave.h"
#import "DetailController.h"
 
@implementation SecondViewController
 
 @synthesize myPDFViewAppDelegate,myTableView;
 

- (void)viewDidLoad  {
  [super viewDidLoad];
	if (!leaves) {
		leaves = [[NSMutableArray alloc] init];
	}
	if (myPDFViewAppDelegate ==nil)
		myPDFViewAppDelegate = [[UIApplication sharedApplication] delegate];
		[self loadData];
}
- (void)loadData
{
	NSURL *url = [NSURL URLWithString:@"http://10.5.23.117:8008/RestServiceImpl.svc/GetLeaveList"];
	ASIHTTPRequest *request = [ASIHTTPRequest requestWithURL:url];
	[request startSynchronous];
	NSError *error = [request error];
	if (!error) {
		NSString * s= [request responseString];
		NSData *response = [[request responseString] JSONValue];
		if (response == nil || ![response isKindOfClass:[NSDictionary class]]) {
			return;
		}
	 
		NSDictionary *dic =(NSDictionary*)response;
		NSData * LeaveListResult=[[dic getNSDataValueForKey:@"GetLeaveListResult" defaultValue:@""] retain];
		if (LeaveListResult == nil || ![LeaveListResult isKindOfClass:[NSArray class]]) {
			return;
		}
		NSArray *ary = (NSArray *)LeaveListResult;
		int j= [ary count];
		for (int i = 0; i <= [ary count] - 1; i++) {
			NSDictionary *dic = (NSDictionary*)[ary objectAtIndex:i];
			if (![dic isKindOfClass:[NSDictionary class]]) {
				continue;
			}
			Leave* leave = [Leave leaveWithJsonDictionary:[ary objectAtIndex:i]];
			[leaves addObject:leave];
		}
	 
	}
}
 

#pragma mark -
#pragma mark Table view data source


- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
  	 
		return 1;
	 
	 
}
// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
	int i =[leaves count];
	return [leaves count];

}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
	static NSString *MyIdentifier = @"MyIdentifier";
	
	// Try to retrieve from the table view a now-unused cell with the given identifier.
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:MyIdentifier];
	
	// If no cell is available, create a new one using the given identifier.
	if (cell == nil) {
		// Use the default cell style.
		cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:MyIdentifier] autorelease];
	}
	
	 Leave *leave = [leaves objectAtIndex:indexPath.row];
	 cell.text =[NSString stringWithFormat:@"%@请假：%@天    状态：%@",leave.LeaveName,leave.LeaveDay, leave.Status];
	return cell;
}
#pragma mark -
#pragma mark Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
 
	    Leave *leave = [leaves objectAtIndex:indexPath.row];
		DetailController *details  = [[DetailController alloc] initWithNibName:@"DetailController" bundle:nil];
		details.leave = leave;
		[myPDFViewAppDelegate.myNavController navigationBar].hidden =NO;
		[myPDFViewAppDelegate.myNavController pushViewController:details animated:YES];
// 
	
	
}
 

#pragma mark -
#pragma mark Memory management


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

- (void)dealloc {
 
    [super dealloc];
}


@end
